Subject: Re: [PATCH] ipw2100 v1.1.0

From: James Ketrenos <[email-masked]>
Date: Fri, 25 Mar 2005 12:35:18 -0600

Jean Tourrilhes wrote:

>James Ketrenos wrote :
>  
>
>>I wasn't sure where to actually stick the driver's selection it in the 
>>Kconfig menu.  Where its at now, it doesn't show up until you enable 
>>'Generic IEEE 80211 subsystem', and then it shows up down under Wireless 
>>Lan entries.
>>    
>>
>
>	I personally enable the driver to be selected directly and
>then SELECT the 802.11 stack, the same way you SELECT the firmware
>loader. The logic is that the user doesn't really care how it's
>implemented under the cover (via the 802.11 stack or not), he just
>want to make his hardware work. A good example of this logic is the
>Aironet driver (PCI versus Pcmcia).
>  
>
Good idea; I took that approach for the ipw2200 submission (just sent).

>	But, those are trivial matter that can be discussed and
>resolved long after the driver is in the kernel, so no need to respin
>your patch. Anyway, most people use distro kernels that have all
>options enabled...
>
>	Apart from that, congratulation on the excellent work...
>  
>
Thanks,
James

>	Have fun...
>	Jean